Page MenuHomePhabricator

Special:EntityData should apply content negotiation
Closed, ResolvedPublic

Description

If data about an entity is requested from Special:EntityData, but the desired serialization format is not specified, Special:EntityData should perform content negotiation based on the Accept header.

Once the format has been determined, Special:EntityData should send a 303 redirect to the canonical URL of that serialization of the entity.


Version: unspecified
Severity: normal

Details

Reference
bz44576

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:28 AM
bzimport set Reference to bz44576.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Feb 1 2013, 11:14 AM

Related URL: https://gerrit.wikimedia.org/r/64817 (Gerrit Change I73ebc6c9936fabd8eb0fb29ed1bce63ced514a4a)

https://gerrit.wikimedia.org/r/64817 (Gerrit Change I73ebc6c9936fabd8eb0fb29ed1bce63ced514a4a) | change APPROVED and MERGED [by Denny Vrandecic]

Related URL: https://gerrit.wikimedia.org/r/66037 (Gerrit Change I2f0c110de7d606e44cffa9600a3dfb3b160f9281)

https://gerrit.wikimedia.org/r/66037 (Gerrit Change I2f0c110de7d606e44cffa9600a3dfb3b160f9281) | change APPROVED and MERGED [by jenkins-bot]

Verified in Wikidata demo sprint 22-6

Restricted Application added a project: Wikidata. · View Herald TranscriptJan 28 2016, 6:06 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript